import axiosInstance, { axiosInstanceAuth } from "../http/axiosInstance";
import { IRoleCreate } from "../interfaces/role";

export default class RoleService {
    static async getRoles() {
        return await axiosInstanceAuth.get(`/auth/roles`)
    }

    static async createRole(data: IRoleCreate) {
        return await axiosInstanceAuth.post(`/auth/roles/`, data)
    }


    static async getRoleById(id: number) {
        return await axiosInstanceAuth.get(`/auth/roles/${id}`)
    }

    // static async deleteRole(id: number) {
    //     return await axiosInstance.delete(`/auth/roles/${id}`)
    // }
}